/******************** (C) COPYRIGHT 2008 STMicroelectronics ********************
* File Name          : MAIN.H
* Author             : Olimex
* Version            : V1.0.0
* Date               : 02/11/2009
* Description        : Header for the LED Test
********************************************************************************
* THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_TEST_H
#define __LED_TEST_H

/* Define */

/* LED Definitions */
#define LED_On(led)     GPIOC->ODR |=  led
#define LED_Off(led)    GPIOC->ODR &= ~led
#define LED_Toggle(led) GPIOC->ODR ^=  led
#define LED_Output(led) GPIOC->ODR = (GPIOB->ODR & ~LED_MSK) | led

/*******************************************************************************
* Function Name  : LED_Initialize
* Description    : Initialize LED pins
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void LED_Initialize(void);

/*******************************************************************************
* Function Name  : LED_test_NonBlocking
* Description    : LED_Test program
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void LED_test_NonBlocking(void);

#endif /* __LED_TEST_H */