/*************************************************************************
 *
 *    Used with ICCARM and AARM.
 *
 *    (c) Copyright IAR Systems 2008
 *
 *    File name   : usb_trans_layer.h
 *    Description : STM32 USB-OTG-FS to USB Framework translation layer
 *
 *    History :
 *    1. Date        : 3, September 2008
 *       Author      : Stanimir Bonev
 *       Description : Create
 *
 *    $Revision: #1 $
 **************************************************************************/

#include "usb_core.h"

#ifndef __USB_TRANS_LAYER_H__
#define __USB_TRANS_LAYER_H__

#define USBF_ERR_NONE 0

extern void USBF_DevSofEvent(PUSB_OTG_CORE_DEVICE pDevPtr);
extern void USBF_DevResumeEvent(PUSB_OTG_CORE_DEVICE pDevPtr);
extern void USBF_DevSuspendEvent(PUSB_OTG_CORE_DEVICE pDevPtr);
extern void USBF_EP_TxPktSent(PUSB_OTG_CORE_DEVICE pDevPtr, uint32_t EP_num);
extern void USBF_EP_RxPktRdy(PUSB_OTG_CORE_DEVICE pDevPtr, uint32_t EP_num);
extern void USBF_EP_DoSetupPkt(PUSB_OTG_CORE_DEVICE pDevPtr, void * pBuff);
extern void USBF_DevResetEvent(PUSB_OTG_CORE_DEVICE pDevPtr);
extern void USBF_EP_PktXferlenUpdate(PUSB_OTG_CORE_DEVICE pDevPtr,
                                     uint32_t EP_num, uint32_t Lenght, uint32_t Status);

#endif // __USB_TRANS_LAYER_H__
